## ros-noetic-rosfmt 8.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 include(ExternalProject)
 ExternalProject_Add(
 	fmt
-	URL https://github.com/fmtlib/fmt/releases/download/7.1.2/fmt-7.1.2.zip
-	URL_HASH SHA256=4d6968ab7c01e95cc76df136755703defb985105a117b83057e4fd5d53680ea7
+	URL https://github.com/fmtlib/fmt/releases/download/9.1.0/fmt-9.1.0.zip
+	URL_HASH SHA256=cceb4cb9366e18a5742128cb3524ce5f50e88b476f1e54737a47ffdf4df4c996
 	CONFIGURE_COMMAND ""
 
 	# We touch all downloaded files, otherwise they get some timestamp in the
@@ -28,7 +28,7 @@
 set(fmt_HEADER_DEST "${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}")
 
 file(MAKE_DIRECTORY ${fmt_HEADER_DEST})
-foreach(FILE chrono.h color.h compile.h core.h format-inl.h format.h locale.h os.h ostream.h posix.h printf.h ranges.h)
+foreach(FILE args.h chrono.h color.h compile.h core.h format-inl.h format.h os.h ostream.h printf.h ranges.h std.h xchar.h)
 	set(in "${fmt_SOURCE_DIR}/include/fmt/${FILE}")
 	set(out "${fmt_HEADER_DEST}/fmt/${FILE}")
 	list(APPEND fmt_HEADERS_OUT ${out})
@@ -50,7 +50,7 @@
 catkin_package(
 	INCLUDE_DIRS include ${fmt_HEADER_DEST}
 	CATKIN_DEPENDS roscpp rosconsole
-	LIBRARIES rosfmt7
+	LIBRARIES rosfmt9
 )
 
 include_directories(
@@ -59,29 +59,37 @@
 	${catkin_INCLUDE_DIRS}
 )
 
-set(CMAKE_CXX_STANDARD 11)
-
 set_source_files_properties(
 	${fmt_SOURCE_DIR}/src/format.cc
 	${fmt_SOURCE_DIR}/src/os.cc
 	PROPERTIES GENERATED TRUE
 )
 
-add_library(rosfmt7
+add_library(rosfmt9
 	${fmt_HEADERS_OUT}
 	${fmt_SOURCE_DIR}/src/format.cc
 	${fmt_SOURCE_DIR}/src/os.cc
 	src/rosfmt.cpp
 )
-target_link_libraries(rosfmt7
+target_link_libraries(rosfmt9
 	${catkin_LIBRARIES}
 )
-add_dependencies(rosfmt7 fmt fmt_headers)
+add_dependencies(rosfmt9 fmt fmt_headers)
 
-add_executable(simple_test
-	test/test.cpp
-)
-target_link_libraries(simple_test rosfmt7)
+if(CATKIN_ENABLE_TESTING)
+	add_executable(simple_test
+		test/test.cpp
+	)
+	target_link_libraries(simple_test rosfmt9)
+	add_test(
+		NAME SimpleTest
+		COMMAND simple_test
+	)
+	add_custom_target(run_simple_test
+		COMMAND simple_test
+	)
+	add_dependencies(run_tests run_simple_test)
+endif()
 
 install(
 	DIRECTORY ${fmt_HEADER_DEST}/fmt/
@@ -92,6 +100,6 @@
 	DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
 )
 install(
-	TARGETS rosfmt7
+	TARGETS rosfmt9
 	DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 )
