=== debian/changelog ===
ros-noetic-rosfmt (8.0.0-1focal) focal; urgency=high

  * Make the tests part conditional with CATKIN_ENABLE_TESTING check (PR #10)
  * Allow compile time checking of string (missing placeholders, etc) (PR #7)
  * Bump fmt to version 9.1.0
  * Add CI workflow (PR #8)
  * Use default C++ version instead of 11 (PR #6)
  * Fix CMake example in README (PR #5)
  * Contributors: Lucas Walter, Max Schwarz, Morten Fyhn Amundsen, Romain Reignier, mla

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rosfmt (7.0.0-1focal) focal; urgency=high

  * rename rosfmt library to rosfmt7 to prevent ABI mismatches
  * Update fmt to 7.1.2
  * cmake: fix ordering of internal include paths
  * add new full.h header (issue: #2)
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Sat, 02 Jan 2021 23:00:00 -0000

ros-noetic-rosfmt (6.2.0-1focal) focal; urgency=high

  * ensure vformat is only instantiated once -> faster compile times
  * update to fmt 6.0.0
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Wed, 08 Jan 2020 23:00:00 -0000

ros-noetic-rosfmt (6.1.0-1focal) focal; urgency=high

  * cmake: fix dependency tracking bugs
  * update fmt to version 5.3.0
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Mon, 13 May 2019 22:00:00 -0000

ros-noetic-rosfmt (6.0.0-1focal) focal; urgency=high

  * Major release bump to decouple rosfmt and fmt versions
  * rosfmt.h: produce nicer error message if C++11 is not available
  * cmake: add transitive rosconsole / roscpp deps
  * README: add CMake example
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-noetic-rosfmt (5.2.2-1focal) focal; urgency=high

  * README: syntax highlighting
  * add README.md, LICENSE.txt
  * initial commit - basics are working
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@ais.uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000
