=== debian/control ===
Source: ros-noetic-rosfmt
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@ais.uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosconsole, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosfmt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosconsole, ros-noetic-roscpp
Description: fmt is an open-source formatting library for C++.
 It can be used as a safe and fast alternative to (s)printf and IOStreams.
